%if ! (0%{?fedora} > 12 || 0%{?rhel} > 5)
    %{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
    %{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}
%endif
%define modulename comoonics

Summary: Comoonics minimum base libraries
Name: comoonics-base-py
Version: 0.1
Release: 6%{?dist}
Source0: http://www.open-sharedroot.org/development/comoonics-base-py/comoonics-base-py-%{version}.tar.gz
License: GPLv3+
Group: Development/Libraries
BuildArch: noarch
Requires: python PyXML
Url: http://www.open-sharedroot.org/development/comoonics-base-py
BuildRequires: python2-devel

%description
Comoonics minimum base libraries written in Python
These classes are intended to be used by other packages.

%prep
%setup -q

%build
python setup.py %{name} build

%install
python setup.py %{name} install --root=$RPM_BUILD_ROOT 

%files
%{python_sitelib}/*.egg-info
%dir %{python_sitelib}/comoonics
%{python_sitelib}/comoonics/*.py
%{python_sitelib}/comoonics/*.pyc
%{python_sitelib}/comoonics/*.pyo
%doc README.txt LICENSE.txt

%changelog
* Tue Jul 28 2011 Marc Grimme <grimme@atix.de>, 0.1-6
- Rebuilt for Fedora 16/devel/head

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Jul 21 2010 David Malcolm <dmalcolm@redhat.com> - 0.1-4
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Tue Jul 20 2009 MH <hlawatschek@atix.de>, 0.1-3
- fedora compliant additional changes.

* Tue Jul 20 2009 MH <hlawatschek@atix.de>, 0.1-2
- fedora compliant

* Mon Jul 20 2009 MH <hlawatschek@atix.de>, 0.1-1
- initial revision
